package com.cool.store.mapper;

import com.cool.store.dto.FranchiseFeeDTO;
import com.cool.store.dto.FranchiseFeeStageDateDTO;
import com.cool.store.entity.FranchiseFeeDO;
import org.apache.ibatis.annotations.MapKey;
import org.apache.ibatis.annotations.Param;
import tk.mybatis.mapper.common.Mapper;

import java.util.Date;
import java.util.List;
import java.util.Map;

public interface FranchiseFeeMapper extends Mapper<FranchiseFeeDO> {
    FranchiseFeeDO selectByShopId(@Param("shopId") Long shopId);

   List<FranchiseFeeDTO> getPayTimeByShopIds(@Param("shopIds") List<Long> shopIds);
    Integer updateDataHandleServiceV25();

    List<FranchiseFeeDO> getFranchiseFeeByShopIds(@Param("shopIds") List<Long> shopIds);

    /**
     * @Auther: wangshuo
     * @Date: 2025/5/12
     * @description: 数据处理修改账单
     */
    Integer updateBill(@Param("list") List<FranchiseFeeDO> list);

    Integer batchUpdateXgjCollectionStatus(@Param("shopIds")List<Long> shopId, @Param("collectionStatus")Integer collectionStatus);

    Integer batchUpdateXgjCollectionStatusAndXgjFeesPaid(  @Param("list") List<FranchiseFeeStageDateDTO> franchiseFeeStageDateDTOList);
}
